#include <stdio.h>
#include <stdlib.h>
#include <unistd.h>
#include <sys/wait.h>
#include <errno.h>

int main(int argc, char* argv[]) {
  int i, n, val;
  pid_t id;

  n = atoi(argv[1]);
  for(i = 1; i < n; i++) {
    id = fork();
    if(id == 0) break;  /* el hijo se sale */
  }

  if(i == n) do {
    val = wait(NULL);
    fprintf(stderr, "Termina un hijo y val es %d\n", val);
  } while(val > 0);
  fprintf(stderr, "Soy el proceso %d, con id  %ld y padre %ld\n", i, getpid(), getppid());
  return 0;
}
