#include <fcntl.h>
#include <stdio.h>
#include <unistd.h>

int main() {
  int fd;
  char c;

  if(fork() == -1) {
    perror("Fallo en el fork");
    return 1;
  }
  if((fd = open("datos.dat", O_RDONLY)) == -1) {
    perror("Fallo al abrir el fichero");
    return 1;
  }
  read(fd, &c, 1);
  printf("Proceso %ld lee %c\n", getpid(), c);
  return 0;
}
