#include <stdlib.h>
#include <sys/types.h>
#include <sys/ipc.h>
#include <sys/shm.h>
#include <sys/stat.h>

main(int argc, char *argv[])
{
  int shmid;
  int *num;
  int i, den;
  int x, n;

  x = atoi(argv[1]);
  n = atoi(argv[2]);

  if(n >= x) 
    {
      printf("x tiene que ser mayor que n");
      exit(-1);
    }

  if((shmid = shmget(IPC_PRIVATE, sizeof(int), S_IRUSR | S_IWUSR)) == -1)
    {
      perror("Fallo en shmget");
      exit(-1);
    }

  num = (int *) shmat(shmid, 0, 0);

  switch(fork()) {
    case -1: 
      perror("fork");
      exit(-1);
    case 0:
      for(i = 0, *num = 1; i < x; i++) 
        *num = *num * (x - i);
      shmdt(num);
      exit(0);
    default:
      den = x - n;
      wait(NULL); /* esperar a que termine el proceso hijo */
      printf("Resultado: %8f\n", (float) (*num / den)); 

      shmdt(num);
      shmctl(shmid, IPC_RMID, 0);
      exit(0);
  }
}
