#include <stdio.h>
#include <sys/sem.h>
#include <sys/shm.h>
#include <sys/stat.h>
#include "buffer.h"

#define PERM (S_IRUSR | S_IWUSR)

int main(int argc, char* argv[]) {
  key_t claveMem;
  key_t claveSemP, claveSemC, claveHL, claveHO;
  int shmid, semP, semC, semHL, semHO;
  int tam;
  struct buffer *almacen;

  /* Memoria compartida. Almacen */
  claveMem = ftok("almacen.c", 1);
  shmid = shmget(claveMem, 0, PERM);
  shmctl(shmid, IPC_RMID, NULL);

  /* Semaforo de productores */
  claveSemP = ftok("almacen.c", 2); 
  semP = semget(claveSemP, 1, PERM); 
  semctl(semP, 0, IPC_RMID);
  
  /* Semaforo de consumidores */
  claveSemC = ftok("almacen.c", 3); 
  semC = semget(claveSemC, 1, PERM);
  semctl(semC, 0, IPC_RMID);

  /* Huecos libres */
  claveHL = ftok("almacen.c", 4); 
  semHL = semget(claveHL, 1, PERM); 
  semctl(semHL, 0, IPC_RMID);

  /* Huecos ocupados */
  claveHO = ftok("almacen.c", 5); 
  semHO = semget(claveHO, 1, PERM); 
  semctl(semHO, 0, IPC_RMID);
  
  return 0;
}
